org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class IgniteDhtDemandedPartitionsMap

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.IgniteDhtDemandedPartitionsMap

All Implemented Interfaces:
  Serializable

    public class IgniteDhtDemandedPartitionsMap
    extends Object
    implements Serializable

Map of partitions demanded during rebalancing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteDhtDemandedPartitionsMap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFull(int partId)` Adds partition for preloading from all current data.
`void` `addHistorical(int partId, long from, long to, int partCnt)` Adds partition for preloading from history.
`Set<Integer>` `fullSet()`
`boolean` `hasFull()`
`boolean` `hasFull(int partId)`
`boolean` `hasHistorical()`
`boolean` `hasHistorical(int partId)`
`boolean` `hasPartition(int partId)`
`CachePartitionPartialCountersMap` `historicalMap()`
`Set<Integer>` `historicalSet()`
`boolean` `isEmpty()`
`boolean` `remove(int partId)` Removes partition.
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteDhtDemandedPartitionsMap

    public IgniteDhtDemandedPartitionsMap()

### Method Detail

#### addHistorical

    public void addHistorical(int partId,
                              long from,
                              long to,
                              int partCnt)

Adds partition for preloading from history.

Parameters:
  `partId` - Partition ID.
  `from` - First demanded counter.
  `to` - Last demanded counter.
  `partCnt` - Maximum possible partition count.

#### addFull

    public void addFull(int partId)

Adds partition for preloading from all current data.

Parameters:
  `partId` - Partition ID.

#### remove

    public boolean remove(int partId)

Removes partition.

Parameters:
  `partId` - Partition ID.
Returns:
  `True` if changed.

#### hasPartition

    public boolean hasPartition(int partId)

#### hasHistorical

    public boolean hasHistorical()

#### hasHistorical

    public boolean hasHistorical(int partId)

#### hasFull

    public boolean hasFull()

#### hasFull

    public boolean hasFull(int partId)

#### isEmpty

    public boolean isEmpty()

#### size

    public int size()

#### historicalMap

    public CachePartitionPartialCountersMap historicalMap()

#### fullSet

    public Set<Integer> fullSet()

#### historicalSet

    public Set<Integer> historicalSet()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020